Bug 30435 - Remove unused MACLES cataloging plugin
Summary: Remove unused MACLES cataloging plugin
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-04-01 15:17 UTC by Owen Leonard
Modified: 2022-04-29 16:48 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30435: Remove unused MACLES cataloging plugin (16.35 KB, patch)
2022-04-01 15:22 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30435: Remove unused MACLES cataloging plugin (16.42 KB, patch)
2022-04-12 21:29 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 30435: Remove unused MACLES cataloging plugin (16.51 KB, patch)
2022-04-15 06:29 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-04-01 15:17:47 UTC
I wrote this to the Koha mailing list in December 2017:

There is a plugin for the MARC edit form called macles.pl, "Gestion
des index MACLES" I'm assuming it's specific to UNIMARC.

Does anyone know if this is still in use? It's been broken since I
think version 16.05, so I'm curious whether it can be removed.

----

We keep updating the associated files to keep up with standards, but I think it might be wasted work.
Comment 1 Owen Leonard 2022-04-01 15:22:37 UTC
Created attachment 132869 [details] [review]
Bug 30435: Remove unused MACLES cataloging plugin

This patch removes the files associated with the MACLES cataloging
plugin. The feature is unmaintained.
Comment 2 Caroline Cyr La Rose 2022-04-12 21:29:50 UTC
Created attachment 133223 [details] [review]
Bug 30435: Remove unused MACLES cataloging plugin

This patch removes the files associated with the MACLES cataloging
plugin. The feature is unmaintained.

Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>
Comment 3 Marcel de Rooy 2022-04-15 06:29:13 UTC
Created attachment 133334 [details] [review]
Bug 30435: Remove unused MACLES cataloging plugin

This patch removes the files associated with the MACLES cataloging
plugin. The feature is unmaintained.

Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Fridolin Somers 2022-04-20 07:24:03 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄